Skip to main content
GET
/
teams
/
{id}
Retrieve a team.
curl --request GET \
  --url https://incoming.qomon.app/teams/{id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "team": {
      "id": 101,
      "created_at": "2025-04-23T08:16:26.08912Z",
      "updated_at": "2025-04-30T09:55:59.320084Z",
      "name": "Team Number1",
      "description": "This is a sample team description.",
      "private": false,
      "hide_users": false,
      "leaders": [
        {
          "id": 101,
          "firstname": "John",
          "surname": "Doe",
          "mail": "john.doe@example.com",
          "avatar": "https://example.com/avatar.png",
          "phone": "0123456789",
          "role": "user",
          "role_data": {
            "id": 5,
            "name": "User",
            "color": "#3b82f6",
            "type": "user",
            "order": 1
          }
        }
      ],
      "users": [
        {
          "id": 101,
          "firstname": "John",
          "surname": "Doe",
          "mail": "john.doe@example.com",
          "avatar": "https://example.com/avatar.png",
          "phone": "0123456789",
          "role": "user",
          "role_data": {
            "id": 5,
            "name": "User",
            "color": "#3b82f6",
            "type": "user",
            "order": 1
          }
        }
      ],
      "address": {
        "housenumber": "1",
        "street": "rue de la paix",
        "postalcode": "75000",
        "citycode": "75101",
        "city": "Paris",
        "state": "Ile-de-France",
        "country": "France",
        "addition": "Résidence de la paix",
        "infos": "Porte de gauche",
        "building": "Bâtiment A",
        "floor": "2",
        "door": "A",
        "pollingstation": "BV-06",
        "score": 0.75,
        "building_type": "house",
        "lattitude": "89.900000",
        "longitude": "-0.587877",
        "location": "89.900000, -0.587877",
        "invalid": true
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://qomon-86428773.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer<uint>
required

The ID of the team to retrieve.

Required range: x >= 1
Example:

1

Response

OK

status
string
Example:

"success"

data
object
Last modified on May 19, 2026